Triple-O fails deploy

Latest response

While deploying of RHOSP using "Standalone Deployment Guide" I have a trouble. After I run the deployment command deployment fails.
It happens after playbook-tasks "Write rc of NetworkConfig script" and "NetworkConfig stdout". After deployment fails files /etc/sysconfig/network-scripts/ifcfg-ens* are modified. Parameter NM_CONTROLLED is in state "no" and BOOTPROTO is in state "dhcp".
I'm expecting that ansible playbook tasks will configure network bridge for RHOSP and deployment will finish with success.

Lines from .bashrc
export IP=192.168.114.101
export NETMASK=24
export INTERFACE=ens224
export DNS1=8.8.8.8
export DNS2=172.31.252.1

Output of ansible task

TASK [tripleo-network-config : NetworkConfig stdout] *****************************************************************************************************************************************************************************************************************************
Friday 23 July 2021  00:04:11 -0400 (0:00:00.627)       0:00:50.525 ***********
fatal: [rhel]: FAILED! => {
    "NetworkConfig_result.stderr_lines": [
        "+ '[' -n '{\"network_config\": [{\"addresses\": [{\"ip_netmask\": \"192.168.114.101/24\"}], \"dns_servers\": [\"8.8.8.8\", \"172.31.252.1\"], \"domain\": [], \"members\": [{\"mtu\": 1500, \"name\": \"interface_name\", \"primary\": true, \"type\": \"interface\"}], \"mtu\": 1500, \"name\": \"br-ctlplane\", \"ovs_extra\": [\"br-set-external-id br-ctlplane bridge-id br-ctlplane\"], \"routes\": [], \"type\": \"ovs_bridge\", \"use_dhcp\": false}]}' ']'",
        "+ '[' -z '' ']'",
        "+ trap configure_safe_defaults EXIT",
        "++ date +%Y-%m-%dT%H:%M:%S",
        "+ DATETIME=2021-07-23T00:04:01",
        "+ '[' -f /etc/os-net-config/config.json ']'",
        "+ mv /etc/os-net-config/config.json /etc/os-net-config/config.json.2021-07-23T00:04:01",
        "+ mkdir -p /etc/os-net-config",
        "+ echo '{\"network_config\": [{\"addresses\": [{\"ip_netmask\": \"192.168.114.101/24\"}], \"dns_servers\": [\"8.8.8.8\", \"172.31.252.1\"], \"domain\": [], \"members\": [{\"mtu\": 1500, \"name\": \"interface_name\", \"primary\": true, \"type\": \"interface\"}], \"mtu\": 1500, \"name\": \"br-ctlplane\", \"ovs_extra\": [\"br-set-external-id br-ctlplane bridge-id br-ctlplane\"], \"routes\": [], \"type\": \"ovs_bridge\", \"use_dhcp\": false}]}'",
        "++ type -t network_config_hook",
        "+ '[' '' = function ']'",
        "+ sed -i 's/: \"bridge_name/: \"br-ctlplane/g' /etc/os-net-config/config.json",
        "+ sed -i 's/interface_name/$INTERFACE/g' /etc/os-net-config/config.json",
        "+ set +e",
        "+ os-net-config -c /etc/os-net-config/config.json -v --detailed-exit-codes",
        "[2021/07/23 12:04:02 AM] [INFO] Using config file at: /etc/os-net-config/config.json",
        "[2021/07/23 12:04:02 AM] [INFO] Ifcfg net config provider created.",
        "[2021/07/23 12:04:02 AM] [INFO] Not using any mapping file.",
        "[2021/07/23 12:04:02 AM] [INFO] Finding active nics",
        "[2021/07/23 12:04:02 AM] [INFO] ens224 is an active nic",
        "[2021/07/23 12:04:02 AM] [INFO] ens192 is an active nic",
        "[2021/07/23 12:04:02 AM] [INFO] lo is not an active nic",
        "[2021/07/23 12:04:02 AM] [INFO] No DPDK mapping available in path (/var/lib/os-net-config/dpdk_mapping.yaml)",
        "[2021/07/23 12:04:02 AM] [INFO] Active nics are ['ens192', 'ens224']",
        "[2021/07/23 12:04:02 AM] [INFO] nic1 mapped to: ens192",
        "[2021/07/23 12:04:02 AM] [INFO] nic2 mapped to: ens224",
        "[2021/07/23 12:04:02 AM] [INFO] adding bridge: br-ctlplane",
        "[2021/07/23 12:04:02 AM] [ERROR] Unable to read mac address: $INTERFACE",
        "Traceback (most recent call last):",
        "  File \"/bin/os-net-config\", line 10, in <module>",
        "    sys.exit(main())",
        "  File \"/usr/lib/python3.6/site-packages/os_net_config/cli.py\", line 343, in main",
        "    provider.add_object(obj)",
        "  File \"/usr/lib/python3.6/site-packages/os_net_config/__init__.py\", line 64, in add_object",
        "    self.add_bridge(obj)",
        "  File \"/usr/lib/python3.6/site-packages/os_net_config/impl_ifcfg.py\", line 802, in add_bridge",
        "    data = self._add_common(bridge)",
        "  File \"/usr/lib/python3.6/site-packages/os_net_config/impl_ifcfg.py\", line 470, in _add_common",
        "    mac = utils.interface_mac(base_opt.primary_interface_name)",
        "  File \"/usr/lib/python3.6/site-packages/os_net_config/utils.py\", line 120, in interface_mac",
        "    with open(_SYS_CLASS_NET + '/%s/address' % name, 'r') as f:",
        "FileNotFoundError: [Errno 2] No such file or directory: '/sys/class/net/$INTERFACE/address'",
        "+ RETVAL=1",
        "+ set -e",
        "+ [[ 1 == 2 ]]",
        "+ [[ 1 != 0 ]]",
        "+ echo 'ERROR: os-net-config configuration failed.'",
        "ERROR: os-net-config configuration failed.",
        "+ exit 1",
        "+ configure_safe_defaults",
        "+ [[ 1 == 0 ]]",
        "+ cat",
        "++ ls /sys/class/net",
        "++ grep -v -e '^lo$' -e '^vnet$'",
        "+ for iface in $(ls /sys/class/net | grep -v -e ^lo$ -e ^vnet$)",
        "++ cat /sys/class/net/ens192/addr_assign_type",
        "+ local mac_addr_type=0",
        "+ local vf_parent=/sys/class/net/ens192/device/physfn",
        "+ '[' 0 '!=' 0 ']'",
        "+ [[ -d /sys/class/net/ens192/device/physfn ]]",
        "++ cat /sys/class/net/ens192/carrier",
        "+ HAS_LINK=1",
        "+ TRIES=10",
        "+ '[' 1 == 0 -a 10 -gt 0 ']'",
        "+ '[' 1 == 1 ']'",
        "+ cat",
        "+ for iface in $(ls /sys/class/net | grep -v -e ^lo$ -e ^vnet$)",
        "++ cat /sys/class/net/ens224/addr_assign_type",
        "+ local mac_addr_type=0",
        "+ local vf_parent=/sys/class/net/ens224/device/physfn",
        "+ '[' 0 '!=' 0 ']'",
        "+ [[ -d /sys/class/net/ens224/device/physfn ]]",
        "++ cat /sys/class/net/ens224/carrier",
        "+ HAS_LINK=1",
        "+ TRIES=10",
        "+ '[' 1 == 0 -a 10 -gt 0 ']'",
        "+ '[' 1 == 1 ']'",
        "+ cat",
        "+ set +e",
        "+ os-net-config -c /etc/os-net-config/dhcp_all_interfaces.yaml -v --detailed-exit-codes --cleanup",
        "[2021/07/23 12:04:03 AM] [INFO] Using config file at: /etc/os-net-config/dhcp_all_interfaces.yaml",
        "[2021/07/23 12:04:03 AM] [INFO] Ifcfg net config provider created.",
        "[2021/07/23 12:04:03 AM] [INFO] Not using any mapping file.",
        "[2021/07/23 12:04:03 AM] [INFO] Finding active nics",
        "[2021/07/23 12:04:03 AM] [INFO] ens224 is an active nic",
        "[2021/07/23 12:04:03 AM] [INFO] ens192 is an active nic",
        "[2021/07/23 12:04:03 AM] [INFO] lo is not an active nic",
        "[2021/07/23 12:04:03 AM] [INFO] No DPDK mapping available in path (/var/lib/os-net-config/dpdk_mapping.yaml)",
        "[2021/07/23 12:04:03 AM] [INFO] Active nics are ['ens192', 'ens224']",
        "[2021/07/23 12:04:03 AM] [INFO] nic2 mapped to: ens224",
        "[2021/07/23 12:04:03 AM] [INFO] nic1 mapped to: ens192",
        "[2021/07/23 12:04:03 AM] [INFO] adding interface: ens192",
        "[2021/07/23 12:04:03 AM] [INFO] adding interface: ens224",
        "[2021/07/23 12:04:03 AM] [INFO] applying network configs...",
        "[2021/07/23 12:04:03 AM] [INFO] No changes required for interface: ens192",
        "[2021/07/23 12:04:03 AM] [INFO] running ifdown on interface: ens224",
        "[2021/07/23 12:04:04 AM] [INFO] Writing config /etc/sysconfig/network-scripts/ifcfg-ens224",
        "[2021/07/23 12:04:04 AM] [INFO] running ifup on interface: ens224",
        "+ RETVAL=2",
        "+ set -e",
        "+ [[ 2 != 2 ]]",
        "+ [[ 2 != 0 ]]",
        "+ echo 'ERROR: configuration of safe defaults failed.'"
    ],
    "failed_when_result": true
}

I'm not allowed to create case about RHOSP.

Responses